# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Jan 16 00:45:04 2024
# ------------------------------------------------

package:
  name: meme
  version: 5.5.5
source:
  sha256: bebb4a176e72d62e3a2d5ba5f22439185bbc4bbf4769604fbca12dff8e1f739f
  url: https://meme-suite.org/meme/meme-software/5.5.5/meme-5.5.5.tar.gz
build:
  detect_binary_files_with_prefix: true
  number: '0'
  run_exports:
    - meme >=5.5.5,<6.0a0
  string: pl5321hda358d9_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - autoconf 2.71 pl5321h2b4cb7a_1
    - automake 1.16.5 pl5321ha770c72_0
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - gcc_impl_linux-64 12.3.0 he2b93b0_3
    - gcc_linux-64 12.3.0 h76fc315_2
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - ld_impl_linux-64 2.40 h41732ed_0
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_103
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libsanitizer 12.3.0 h0f45ef3_3
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libtool 2.4.7 h27087fc_0
    - libxcrypt 4.4.36 hd590300_1
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - perl 5.32.1 7_hd590300_perl5
    - sysroot_linux-64 2.12 he073ed8_16
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - ca-certificates 2023.11.17 hbcca054_0
    - expat 2.5.0 hcb278e6_1
    - ghostscript 10.02.1 h59595ed_0
    - icu 72.1 hcb278e6_0
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-ng 13.2.0 h807b86a_3
    - libgfortran-ng 13.2.0 h69a702a_3
    - libgfortran5 13.2.0 ha4646dd_3
    - libgomp 13.2.0 h807b86a_3
    - libiconv 1.17 hd590300_2
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuv 1.44.2 hd590300_1
    - libxcrypt 4.4.36 hd590300_1
    - libxml2 2.11.5 h0d562d8_0
    - libxslt 1.1.37 h0054252_1
    - libzlib 1.2.13 hd590300_5
    - mpi 1.0 openmpi
    - nodejs 20.5.1 hf52ce11_0
    - openmpi 4.1.6 hc5af2df_101
    - openssl 3.2.0 hd590300_1
    - perl 5.32.1 7_hd590300_perl5
    - xz 5.2.6 h166bdaf_0
    - yaml 0.2.5 h7f98852_2
    - zlib 1.2.13 hd590300_5
  run:
    - icu >=72.1,<73.0a0
    - libexpat >=2.5.0,<3.0a0
    - libgcc-ng >=12
    - libxml2 >=2.11.5,<2.12.0a0
    - libxslt >=1.1.37,<2.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - nodejs >=20.5.1,<21.0a0
    - openmpi >=4.1.6,<5.0a0
    - perl >=5.32.1,<5.33.0a0 *_perl5
    - perl-app-cpanminus
    - perl-cgi
    - perl-file-which
    - perl-html-parser
    - perl-html-template
    - perl-html-tree
    - perl-json
    - perl-log-log4perl
    - perl-math-cdf
    - perl-module-build
    - perl-sys-info
    - perl-xml-parser
    - perl-xml-simple
    - perl-yaml
    - python >=3.7
    - xz >=5.2.6,<6.0a0
    - yaml >=0.2.5,<0.3.0a0
test:
  commands:
    - meme -version
    - streme -version
    - xstreme -version
    - meme-chip -version
    - glam2 -version
    - tomtom -version
    - centrimo -version
    - ame 2>&1 | grep -i usage
    - spamo -version
    - gomo -version
    - fimo -version
    - mast -version
    - mcast -version
    - glam2scan -version
    - momo simple -version
    - getsize -version
    - dreme -version
about:
  home: https://meme-suite.org
  license: Custom
  license_file: COPYING
  summary: Motif-based sequence analysis tools
extra:
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:meme_suite
    - usegalaxy-eu:meme_dreme
